#{extends 'borderNG.html' /}

<ol class="breadcrumb">
	<li><a href="@{admin.PanitiaCtr.index(panitia.pnt_tahun)}">&{'panitia.pokjapilihan'}</a></li>
	<li class="active">
		#{if panitia?.pnt_id} ${panitia.pnt_nama} #{/if}
		#{else} &{'panitia.pokja_baru'} #{/else}
	</li>
</ol>

<div class="content">
    #{alert /}
    #{set hadPaket:panitia?.hadPaket() /}
    #{form @admin.PanitiaCtr.simpan(), method:'POST', id:'pokja'}
        <input type="hidden" name="panitia.pnt_id" value="${panitia?.pnt_id}" />
        <input type="hidden" name="panitia.ukpbj_id" value="${ukpbj_id}" />
        <div class="form-group ">
            <label class="col-xs-2 control-label">&{'panitia.namapokja'}<span class="warning"> *</span></label>
            <div class="col-xs-4 #{errorClass 'panitia.pnt_nama' /}">
             <input type="text" size="80" maxlength=200 name="panitia.pnt_nama" required value="${panitia?.pnt_nama}" class="form-control">
             <span class="help-block">#{error 'panitia.pnt_nama' /}</span>
            </div>
        </div>
        <div class="form-group ">
            <label class="col-xs-2 control-label">&{'panitia.nosk'}<span class="warning"> *</span></label>
            <div class="col-xs-4 #{errorClass 'panitia.pnt_no_sk' /}">
                <input type="text" size="80" maxlength=200 name="panitia.pnt_no_sk" required value="${panitia?.pnt_no_sk}" class="form-control">
                 <span class="help-block">#{error 'panitia.pnt_no_sk' /}</span>
            </div>
            <label class="col-xs-2 control-label">&{'panitia.tahun'}</label>
            <div class="col-xs-4">
                <p class="form-control-static">${panitia.pnt_tahun}</p>
                 <input type="hidden" name="panitia.pnt_tahun" value="${panitia?.pnt_tahun}" readonly />
            </div>
        </div>

        <div class="form-group ">
            <label class="col-xs-2 control-label">&{'panitia.alamat'}</label>
            <div class="col-xs-10">
                <textarea name="panitia.pnt_alamat" cols="25" rows="4" class="form-control">${panitia?.pnt_alamat}</textarea>
            </div>
        </div>
        <div class="form-group ">
            <label class="col-xs-2 control-label">&{'panitia.provinsi'}</label>
            <div class="col-xs-4">
               #{selectPropinsi 'panitia.propinsiId', value:panitia?.kabupaten?.prp_id /}
            </div>
             <label class="col-xs-2 control-label">&{'panitia.kota'}</label>
            <div class="col-xs-4">
               #{selectKabupaten 'panitia.kbp_id', value:panitia?.kbp_id, propinsiId:panitia?.kabupaten?.prp_id /}
            </div>
        </div>
       <div class="form-group #{errorClass 'instansiId' /}">
            <label class="col-xs-2 control-label">&{'panitia.agency'}<span class="warning"> *</span></label>
            <div class="col-xs-10">
                #{selectInstansi 'instansiId', value:instansiId, required:true /}
                <a id="updateInstansi" href="javascript:void(0)" class="btn btn-primary"><i class="fa fa-refresh"></i></a>
                <div class="invalid-feedback">#{error 'instansiId' /}</div>
            </div>
       </div>
       <div class="form-group">
            <label class="col-xs-2 control-label">&{'panitia.sk'}<span class="warning"> *</span></label>
            <div class="col-xs-10 #{errorClass 'panitia.stk_id' /}">
                #{selectSatkerPusat 'panitia.stk_id', instansiId:instansiId, value:panitia.stk_id, tahun:panitia.pnt_tahun, required:true /}
                <a id="updateSatker" href="javascript:void(0)" class="btn btn-primary"><i class="fa fa-refresh"></i></a>
                <div class="invalid-feedback">#{error 'panitia.stk_id' /}</div>
            </div>
       </div>
       <div class="form-group">
            <label class="col-xs-2 control-label">&{'panitia.aktif'}</label>
            <div class="col-xs-10 checkbox">
                <label><input type="checkbox" name="isActive" #{if panitia?.is_active == -1}checked#{/if}></label>
            </div>
       </div>

       <div style="padding:3px 3px;">
            <span class="warning">*</span> &{'panitia.dataisi'}<br />
       </div>
       
       <div class="content">
		       #{if active_user.kuppbj}
		            #{saveButton name='Simpan' /}
		            #{if panitia?.pnt_id != null && !hadPaket}
		                #{addButton title:'Tambah Anggota Pokja', action:@admin.PanitiaCtr.tambahAnggota(panitia.pnt_id) /}
		                #{newDeleteButton title:'Hapus Anggota Pokja', name: 'hapus' /}
		            #{/if}
		        #{/if}
		        #{backButton action:@admin.PanitiaCtr.index(panitia.pnt_tahun) /}
        </div>

       #{if panitia?.pnt_id != null}
           <div class="breadcrumb">Daftar Anggota Pokja Pemilihan</div>
                <table class="table table-sm">
                    <thead>
                        <tr>
                            <th><input name="chkAnggota" type="checkbox" class="checkall"/></th>
                            <th>&{'panitia.nama'}</th>
                            <th width="20%">&{'panitia.id'}</th>
                        </tr>
                    </thead>
                    <tbody>
                        #{list items:daftar_panitia, as:'anggota' , name:'anggota'}
                            #{set idx:anggota_index-1 /}
                            <tr>
                                <input type="hidden" name ="pegawaiId"  value="${anggota.pegawai.peg_id}" >
                                <td width="10"><input type="checkbox" class="form-check-input" name="chk_Anggota" value="${anggota.pegawai.peg_id}" /></td>
                                <td>${anggota.pegawai.peg_nama}</td>
                                <td>${anggota.pegawai.peg_namauser}</td>
                            </tr>
                        #{/list}
                    </tbody>
                </table>
        <div class="form-check">
            <input type="checkbox" class="form-check-input checkall"><label class="form-check-label">Pilih Semua</label>
        </div>
       #{/if}
    #{/form}
</div>

#{set 'custom_script'}
<script type="text/javascript" src="#{assets '/js/form.util.js'/}"></script>
<script type="text/javascript">  
var kabUrl = #{jsRoute @JSONCtr.daftar_kabupaten(':id') /};
var instansiUrl = #{jsRoute @JSONCtr.daftar_instansi() /};
var satkerUrl = #{jsRoute @JSONCtr.daftar_satker_nocache(':id', ':tahun') /};
var update_satker  = #{jsRoute @admin.UtilityCtr.update_satker(':id') /};
$(document).ready(function(){
	#{if instansiId} var instansiId="${instansiId}" #{/if} #{else} var instansiId=""; #{/else}
	#{if panitia?.stk_id} var satkerId=${panitia?.stk_id} #{/if} #{else} var satkerId=0; #{/else}	
    $('[name=hapus]').click(function(){
        var count = $('input:checkbox:checked').length;
        if (count === 0){
            alert("Anda belum memilih data, Silakan pilih data terlebih dahulu");
            return false;
        } else{
            return confirm('Anda yakin akan menghapus data ini?');
        }
    });

    #{if hadPaket}
        $('#pokja input').attr('readonly', 'readonly');
        $('#pokja textarea').attr('readonly', 'readonly');
        $('#pokja select').attr('disabled', true);
    #{/if}
});
$(document).on('change', '#propinsi', function(){
    var id = $(this).val();
    $.getJSON(kabUrl.url({id:id}), function(data){
	      var options = '';
	      for (var i = 0; i < data.length; i++) {
	        options += '<option value="' + data[i].id + '">' + data[i].label + '</option>';
	      }
	      $('#kabupaten').html(options);
	      $('#kabupaten').selectpicker('refresh');
   })
})

$(document).on('change', '#instansi', function(){
	var instansi_id=$(this).val();
	 getJsonSatker(instansi_id);
});

$(document).on('click', '#updateInstansi', function(){
    console.log('update instansi');
    $.ajax({
        url: '@{admin.UtilityCtr.update_instansi()}', type:'POST',
    }).done(function(){
        console.log('instansi berhasil di update');
        getJsonInstansi();
    })
});

function getJsonInstansi(){
    $.getJSON(instansiUrl.url(), function(data){
        console.log(data);
        var options = '';
        for (var i = 0; i < data.length; i++) {
            options += '<option value="' + data[i].id + '">' + data[i].label + '</option>';
        }
        $('#instansi').html(options);
        $('#instansi').selectpicker('refresh');
        getJsonSatker($('#instansi').val());
    })
}

$(document).on('click', '#updateSatker', function(){
    var instansi_id=$('#instansi').val();
    console.log('update Satuan kerja dari instansi');
    $.ajax({
        url: '@{admin.UtilityCtr.update_satker()}', type:'POST',
        data : {id:instansi_id}
    }).done(function(){
        console.log('satuan kerja berhasil di update');
        getJsonSatker(instansi_id);
    })
});

function getJsonSatker(instansi_id){
    var tahun = ${panitia.pnt_tahun};
    $.getJSON(satkerUrl.url({id:instansi_id, tahun:tahun}), function(data){
        var options = '<option value="">Pilih Satuan Kerja</option>';
        for (var i = 0; i < data.length; i++) {
            options += '<option value="' + data[i].id + '">' + data[i].label + '</option>';
        }
        $('#satker').html(options);
        $('#satker').selectpicker('refresh');
    })
}

</script>
#{/set}